API ReferenceAccounts
Get repayment transactions for an installment
Retrieves immutable repayment allocations recorded for one installment, including historical revolving-credit cycles.
Path Parameters
accountId*string
Account ID
Format
uuidid*string
Installment ID
Format
uuidQuery Parameters
size?integer
Page size (max 100)
Range
0 < valueDefault
20after?string
Next page cursor
before?string
Previous page cursor
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/accounts/550e8400-e29b-41d4-a716-446655440000/installments/497f6eca-6276-4993-bfeb-53cbbbba6f08/transactions"{ "data": [ { "transaction": { "id": "550e8400-e29b-41d4-a716-446655440000", "resource_id": "trx_2n1t201rmv87aae5j4csam8000", "mpesa_transaction_id": "ABCDE12345", "amount": { "value": 100000, "currency": "KES" }, "fee_amount": { "value": 5000, "currency": "KES" }, "status": "POSTED", "failure_reason": null, "transacted_at": "2025-10-20T10:30:00Z", "confirmed_at": "2025-10-20T10:30:05Z", "posted_at": "2025-10-20T10:30:10Z", "failed_at": null, "details": { "type": "BUY_GOODS", "till_number": "12345" } }, "allocation": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "balance_id": "38ec7a04-2d0b-4064-897b-2c7c50d4f88b", "cycle_id": "4657c0f7-0ec5-4c38-8330-8d4bbac49451", "position": 1, "allocated_amount": 80000, "principal_amount": 60000, "interest_amount": 20000, "arrears_amount": 0, "allocated_at": "2019-08-24T14:15:22Z", "effect": "OBLIGATION_SETTLED", "source": "LIVE" } } ], "links": { "next": "string", "prev": "string" }}{ "code": "BAD_REQUEST", "description": "Bad Request"}{ "code": "UNAUTHORISED", "description": "Unauthorised"}{ "code": "WAITING_LIST", "description": "User is in the waiting list"}{ "code": "BAD_REQUEST", "description": "Invalid input"}{ "code": "TOO_MANY_REQUESTS", "description": "Too Many Requests"}{ "code": "INTERNAL_SERVER_ERROR", "description": "Internal Server Error"}